Unable to Uninstall 11.6 SP01 for CA XCOM Data Transport for Linux Intel

Document ID : KB000006710
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

I did an migration of CA XCOM Data Transport  r11.6 SP00 for Linux (64-Bit) to CA XCOM Data Transport r11.6 SP01 for Linux (64-Bit).  It said it was successful, but when I issued an xcomqm -r, it did not indicate SP01 was installed.

I uninstalled CA XCOM Data Transport r11.6 SP01 for Linux (64-Bit).  I tried to do a new install of CA XCOM Data Transport r11.6 SP01 for Linux (64-Bit), but I got this error message:

"CA XCOM Data Transport r11.6 SP01 (64-Bit) is already installed on your system. The existing version needs to be uninstalled first before the installation can start. The installation will exit now."

Resolution:

The message "CA XCOM Data Transport r11.6 SP01 (64-Bit) is already installed on your system. The existing version needs to be uninstalled first before the installation can start. The installation will exit now"  implies that the registry values are corrupted.

The last steps of the initial installation which are displayed on console might have been missed: 

XCOM_HOME=/opt/CA/XCOM
export XCOM_HOME 

and xcomqm -r was issued too soon and the original installation was probably successful.  

After uninstalling and then trying to do a new install, it appears, a registry file was probably left behind.  To clear the corrupted registry entry:

Remove or rename the registry file /var/.com.zerog.registry.xml and do the new install.

Additional Information:

Refer to the manual on our docops site: CA XCOM Data Transport for UNIX/Linux - 11.6.01

Click here if you need to open a CA Support Case.